Archiv rubriky: Linux

rubrika pro příspěvky o Linuxu

Migrace WordPress

Pro migraci webu založeného na WordPressu používám plugin Duplicator. Plugin umožňuje přesunutí webu mezi doménami nebo z lokalního serveru na produkční server bez nutnosti instalovat na cílovém serveru Wordpres. Jedinou podmínkou použití pluginu je mít připravenou databázi. Instalace pluginu Nejprve nainstalujeme plugin Duplicator a aktivujeme jej Vytvoření balíčku Jdeme do menu a vybereme Duplicator >> … Pokračování textu Migrace WordPress

Zentyal VPN

Ve verzi Zentyal 6.0 přestaly platit certifikáty pro konfigurovaná VPN připojení vždy po 30 dnech. Nakonfigurovaní klienti se nemohli přihlásit. Zkoumáním logu byla nalezena hláška ‘VERIFY ERROR: depth=0, error=CRL has expiredZměna tohoto chování spočívá ve změně konfiguračních údajů pro generování certifikátů a vygenerování nového certifikátu. zazálohujeme původní konfigurační soubor pro generování certifikátů openssl.cnf cp /var/lib/zentyal/conf/openssl.cnf … Pokračování textu Zentyal VPN

Dovecot nastavení SPAMU

Postup pro Zentyal 5.0 ověříme si cestu k souboru default.sieve, otevřeme soubor /etc/dovecot/dovecot.conf a najdeme sekci “Plugin settings”, hledáme údaj sieve_global_path nebo sieve_default soubor default.sieve je v Zentyal 5.0 umístěn v /var/vmail/default.sieve otevřeme tento soubor a vložíme následující kód require “fileinto”; if header :comparator “i;ascii-casemap” :contains “Subject” “==SPAM==” { fileinto “Spam”; stop;} dále vytvoříme soubor … Pokračování textu Dovecot nastavení SPAMU

Upgrade PostgreSql

Postup aktualizace Postgresql zálohujeme všechno pg_dumpall > outputfile nainstalujeme Postgres ve verzi 10 apt-get install postgresql-10 zobrazíme si, co nám běží pg_lsclusters zastavíme cluster verze 10 pg_dropcluster 10 main –stop zastavíme všechny procesy a služby systemctl stop postgresql provedeme aktualizaci z 9.6 na 10 pg_upgradecluster -m upgrade 9.6 main zabrazíme si, co nám běží pg_lsclusters … Pokračování textu Upgrade PostgreSql